For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign inBook a demo
APIDirectories

Update

PATCH
https://api.humanloop.com/v5/directories/:id
PATCH
/v5/directories/:id
$curl -X PATCH https://api.humanloop.com/v5/directories/id \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "name": "name",
4 "path": "path",
5 "tags": [
6 "tags"
7 ],
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "parent_id": "parent_id",
11 "description": "description",
12 "readme": "readme"
13}
Update the Directory with the given ID.
Was this page helpful?
Previous

List Logs

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired

Unique identifier for Directory. Starts with dir_.

Request

This endpoint expects an object.
namestringOptional
Name to set for the directory.
parent_idstringOptional

ID of the parent directory. Specify this to move directories. Starts with dir_.

pathstringOptional

Path to move the directory to, relative to the root directory. Specify this to move directories. Includes name, e.g. path/to/directory.

Response

Successful Response
idstring

String ID of directory. Starts with dir_.

namestring
Name of the directory.
pathstring

Path to the directory, relative to the root directory. Includes name, e.g. path/to/directory.

tagslist of strings
List of tags associated with the directory.
created_atdatetime
updated_atdatetime
parent_idstring

ID of the parent directory. Will be None if the directory is the root directory. Starts with dir_.

descriptionstring
Description of the directory.
readmestring
Long description of the directory.

Errors

422
Update Directories ID Patch Request Unprocessable Entity Error